Subject: IPP>MOD - HTML and IPP streams -Reply

From: [email-masked]
Date: Mon, 3 Mar 1997 09:51:52 -0500

Classification:
Prologue:
Epilogue: Roger K deBry
Senior Techncial Staff Member
Architecture and Technology
IBM Printing Systems
email: [email-masked]
phone: 1-303-924-4080

The latter --- if the server does not support html, then a user cannot get
access to any server function from a standard web browser.
I can imagine that many if not most implementations would include html support,
but is should not be mandatory.

---------------------- Forwarded by Roger K Debry/Boulder/IBM on 03/03/97 07:27
AM ---------------------------

        Scott_Isaacson @ novell.com
        02/28/97 04:21 PM

To: Roger K Debry/Boulder/IBM, ipp @ pwg.org@internet
cc:
Subject: IPP>MOD - HTML and IPP streams -Reply

>>> <[email-masked]> 02/27/97 10:38am >>>

> A Web Browser must support HTML (pretty obvious)
> An IPP Client must support IPP, and may optionally support HTML
> An IPP Server must support IPP and may optionally support HTML.
>
> I don't think that we can say that an IPP Server MUST support HTML in
> order to be IPP compliant. Actually sounds pretty silly to me to say that
> HTML is required to be IPP compliant!  I don't think that this is an
> interoperability issue, is it?

I don't understand this.  If a Browser supports HTML (and not IPP) and a
server does not support supplying HTML, how does the browser get this
HTML that it supports but nobody generates?  Or do you mean that since
the server supports HTML generation (optionally) then if it does not
support generating HTML, then Web Browsers just don't get HTML.

Scott